.. _rdata-subclasses:

Rdata Subclass Reference
========================

XXXRTH  This is just a placeholder for proper documentation of all
the subclasses, which will basically just be documenting the attributes
of the subclass, as well as any method specific to the subclass.

.. autoclass:: dns.rdata.GenericRdata
   :members:

.. automodule:: dns.rdtypes.dnskeybase
   :members:

.. automodule:: dns.rdtypes.dsbase
   :members:

.. automodule:: dns.rdtypes.euibase
   :members:

.. automodule:: dns.rdtypes.mxbase
   :members:

.. automodule:: dns.rdtypes.nsbase
   :members:

.. automodule:: dns.rdtypes.txtbase
   :members:

.. automodule:: dns.rdtypes.ANY.AFSDB
   :members:

.. automodule:: dns.rdtypes.ANY.AVC
   :members:

.. automodule:: dns.rdtypes.ANY.CAA
   :members:

.. automodule:: dns.rdtypes.ANY.CDNSKEY
   :members:

.. automodule:: dns.rdtypes.ANY.CDS
   :members:

.. automodule:: dns.rdtypes.ANY.CERT
   :members:

.. automodule:: dns.rdtypes.ANY.CNAME
   :members:

.. automodule:: dns.rdtypes.ANY.CSYNC
   :members:

.. automodule:: dns.rdtypes.ANY.DLV
   :members:

.. automodule:: dns.rdtypes.ANY.DNAME
   :members:

.. automodule:: dns.rdtypes.ANY.DNSKEY
   :members:

.. automodule:: dns.rdtypes.ANY.DS
   :members:

.. automodule:: dns.rdtypes.ANY.EUI48
   :members:

.. automodule:: dns.rdtypes.ANY.EUI64
   :members:

.. automodule:: dns.rdtypes.ANY.GPOS
   :members:

.. automodule:: dns.rdtypes.ANY.HINFO
   :members:

.. automodule:: dns.rdtypes.ANY.HIP
   :members:

.. automodule:: dns.rdtypes.ANY.ISDN
   :members:

.. automodule:: dns.rdtypes.ANY.LOC
   :members:

.. automodule:: dns.rdtypes.ANY.MX
   :members:

.. automodule:: dns.rdtypes.ANY.NS
   :members:

.. automodule:: dns.rdtypes.ANY.NSEC
   :members:

.. automodule:: dns.rdtypes.ANY.NSEC3
   :members:

.. automodule:: dns.rdtypes.ANY.NSEC3PARAM
   :members:

.. automodule:: dns.rdtypes.ANY.OPENPGPKEY
   :members:

.. automodule:: dns.rdtypes.ANY.PTR
   :members:

.. automodule:: dns.rdtypes.ANY.RP
   :members:

.. automodule:: dns.rdtypes.ANY.RRSIG
   :members:

.. automodule:: dns.rdtypes.ANY.RT
   :members:

.. automodule:: dns.rdtypes.ANY.SOA
   :members:

.. automodule:: dns.rdtypes.ANY.SPF
   :members:

.. automodule:: dns.rdtypes.ANY.SSHFP
   :members:

.. automodule:: dns.rdtypes.ANY.TLSA
   :members:

.. automodule:: dns.rdtypes.ANY.TXT
   :members:

.. automodule:: dns.rdtypes.ANY.URI
   :members:

.. automodule:: dns.rdtypes.ANY.X25
   :members:

.. automodule:: dns.rdtypes.IN.A
   :members:

.. automodule:: dns.rdtypes.IN.AAAA
   :members:

.. automodule:: dns.rdtypes.IN.APL
   :members:

.. automodule:: dns.rdtypes.IN.DHCID
   :members:

.. automodule:: dns.rdtypes.IN.IPSECKEY
   :members:

.. automodule:: dns.rdtypes.IN.KX
   :members:

.. automodule:: dns.rdtypes.IN.NAPTR
   :members:

.. automodule:: dns.rdtypes.IN.NSAP
   :members:

.. automodule:: dns.rdtypes.IN.NSAP_PTR
   :members:

.. automodule:: dns.rdtypes.IN.PX
   :members:

.. automodule:: dns.rdtypes.IN.SRV
   :members:

.. automodule:: dns.rdtypes.IN.WKS
   :members:

